summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--www-apps/sonarr/Manifest5
-rw-r--r--www-apps/sonarr/sonarr-4.0.2.1262.ebuild65
2 files changed, 70 insertions, 0 deletions
diff --git a/www-apps/sonarr/Manifest b/www-apps/sonarr/Manifest
index 1910c8eaeeb7..ebbf56b20078 100644
--- a/www-apps/sonarr/Manifest
+++ b/www-apps/sonarr/Manifest
@@ -3,3 +3,8 @@ DIST Sonarr.develop.4.0.2.1223.linux-arm64.tar.gz 94509602 BLAKE2B 9682b99b8d4d0
DIST Sonarr.develop.4.0.2.1223.linux-musl-arm64.tar.gz 94563526 BLAKE2B 61ab3b66462d9dfb8aa60120084c16025620ff12c5f2d87aceae87e2f864b75219c71ca4785c594045260c22a8f8b17f7f81f17c0976f00d8f857ec0dc47f1b9 SHA512 f9e425e3b92da063d41803bf726a1a57e26b3280ca16e143bd9180e630fbfb95e7c2d860c53b5f499a438ab9ae68a29cf1aed7c0712a407fb60165375790766d
DIST Sonarr.develop.4.0.2.1223.linux-musl-x64.tar.gz 99491760 BLAKE2B 2cec56191d7fc98891bcda5b98f4fce23f2c0cc43d9f91e8eff70c4eb39575c120c4800c01789b819ea6268deba877db65b0d9201379b7c42a696ed9327f5283 SHA512 3c459c67b68d45980edca0de42bbe4ca8690af1a6a1ebf3ad7f64c2f27a25ff7747707ae01b5c6e92e86f8394fe076f4f3799fc905077a9bfa3a4ead49e291da
DIST Sonarr.develop.4.0.2.1223.linux-x64.tar.gz 100436455 BLAKE2B be06849cb35772680e8f091f7ee5a32eff18ec0ff89af41df53798b217a2a0abef330cefaf440a7d4299624e9cc15268978935963daaf75455f0a00817e50b32 SHA512 7e873ddb648f34adf7e68328abcc01f9acd4fdd7f73206c7efa55bad46bfe2739baae50f0fb9c65e5ce01bc01df2f2dc25f0b115f11c72390d84d7ec1b96009a
+DIST Sonarr.develop.4.0.2.1262.linux-arm.tar.gz 94784355 BLAKE2B 517c8f15b49faef9ea546707301a107480e4b6e95618e0d6e29e5984c49d84c989abaab8fdc848926cc320fe357365698b0ed006863d4c5a2dcf36e28965663d SHA512 18dd709f314a06cc1a01052a53cb80f5c44d4f68f1c964860a593e9eb165bf376e5c9654179e34fe14d59d33c1e76300b8151932b03089d0b7fd84e8dc75cbc1
+DIST Sonarr.develop.4.0.2.1262.linux-arm64.tar.gz 94520191 BLAKE2B 710331a6eecc5477f389327b71ac4c6c6eadc5b8c620da3276e2cf11bab45086089a7ba6ef9e75b71e5d3e6e763974aabb779db6df3357ceb5be740c85b43084 SHA512 429340cc562ba121f25586618cb11e70b084108c72c10897367006764ce14cb96119be6702890863d51d450caff96021b694bc741096aa8998c0681034f97b80
+DIST Sonarr.develop.4.0.2.1262.linux-musl-arm64.tar.gz 94567251 BLAKE2B 345ef6d6fe9a7546b0021a462197b41445fa414034319bfd0c1abcd433f20940551ffc182581f222b2ddfe797f552a6c4a35a758076823e60d44af489cd1c618 SHA512 51657672af29b727607244a7cbeded4c1ed9cfe441f91978ad8c99b163008393787ed4c792068dd1cfb1a99904e6b9948f2cc172f96f166cb20435f61c6dbadb
+DIST Sonarr.develop.4.0.2.1262.linux-musl-x64.tar.gz 99507520 BLAKE2B a37d6cd347a94b628ae48e6e2455925a45cd069b0e7ed10f725b4a748cefe49ef4dd70f8b51ddb4b0ffc8a953dd7dd91565ddc30e3cb67fbd2d022879af73f48 SHA512 f4ffc17bbae181f0ed4376d681bb8ca0e0cccecf798170d7e89ac2ee7a036392572e51efc5ff61c15226be79e3f804a172d2f0cc94198288efece7eafc23d512
+DIST Sonarr.develop.4.0.2.1262.linux-x64.tar.gz 100435514 BLAKE2B 71c67aa1b4b3eb63416f89c0a87362b1787d32726dd965329f001667436c16b2e37d10e9e5b17dc67084f1d99a346622ad39e7afc5aa226d28bc5082ed4abe14 SHA512 0f22499b38f39f55a26bdaff7cc8a3b7ba2fb76d05cefa2bdd47f39075469b8792bebee229288827ec939145d027d2b5c470cb92e2dd88d8f4df1011b528ed46
diff --git a/www-apps/sonarr/sonarr-4.0.2.1262.ebuild b/www-apps/sonarr/sonarr-4.0.2.1262.ebuild
new file mode 100644
index 000000000000..96ad64a73d0b
--- /dev/null
+++ b/www-apps/sonarr/sonarr-4.0.2.1262.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+
+SRC_URI="
+ amd64? (
+ elibc_glibc? ( https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-x64.tar.gz )
+ elibc_musl? ( https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-musl-x64.tar.gz )
+ )
+ arm? (
+ elibc_glibc? ( https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-arm.tar.gz )
+ )
+ arm64? (
+ elibc_glibc? ( https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-arm64.tar.gz )
+ elibc_musl? ( https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-musl-arm64.tar.gz )
+ )
+"
+
+DESCRIPTION="Sonarr is a Smart PVR for newsgroup and bittorrent users"
+HOMEPAGE="https://www.sonarr.tv"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="bindist strip test"
+
+RDEPEND="
+ acct-group/sonarr
+ acct-user/sonarr
+ media-video/mediainfo
+ dev-libs/icu
+ dev-util/lttng-ust:0
+ dev-db/sqlite
+"
+
+QA_PREBUILT="*"
+
+S="${WORKDIR}/Sonarr"
+
+src_prepare() {
+ default
+
+ # https://github.com/dotnet/runtime/issues/57784
+ rm libcoreclrtraceptprovider.so Sonarr.Update/libcoreclrtraceptprovider.so || die
+}
+
+src_install() {
+ newinitd "${FILESDIR}/${PN}.init-r2" ${PN}
+
+ keepdir /var/lib/${PN}
+ fowners -R ${PN}:${PN} /var/lib/${PN}
+
+ insinto /etc/logrotate.d
+ insopts -m0644 -o root -g root
+ newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+ dodir "/opt/${PN}"
+ cp -R "${S}/." "${D}/opt/sonarr" || die "Install failed!"
+
+ systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
+ systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}@.service"
+}